Bug 723999 - Library needs partial RELRO support added
Summary: Library needs partial RELRO support added
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 733071
TreeView+ depends on / blocked
 
Reported: 2011-07-21 17:21 UTC by Steve Grubb
Modified: 2013-03-04 01:29 UTC (History)
5 users (show)

Fixed In Version: openldap-2.4.23-17.el6
Doc Type: Bug Fix
Doc Text:
- all tools using openldap library - not a bug, but security enhancement - '-Wl,-z,relro' flags are passed to the compiler - libraries are compiled with partial RELRO support, which is a security hardening
Clone Of:
: 733071 (view as bug list)
Environment:
Last Closed: 2011-12-06 11:49:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description Steve Grubb 2011-07-21 17:21:09 UTC
Description of problem:
The openldap package contains libraries. We would like them to be built with
partial RELRO support as a security enhancement.

Additional info:
Partial RELRO requires these passed at link:
-Wl,-z,relro

Comment 3 Jan Vcelak 2011-08-15 08:23:58 UTC
Resolved in openldap-2.4.23-17.el6

Comment 4 Jan Vcelak 2011-08-15 11:34:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- all tools using openldap library
- not a bug, but security enhancement
- '-Wl,-z,relro' flags are passed to the compiler
- libraries are compiled with partial RELRO support, which is a security hardening

Comment 7 errata-xmlrpc 2011-12-06 11:49:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.